Mandriva Linux Security Advisory : dhcp (MDVSA-2011:182)

Medium Nessus Plugin ID 57052


The remote Mandriva Linux host is missing one or more security updates.


A vulnerability has been discovered and corrected in dhcp :

dhcpd in ISC DHCP 4.x before 4.2.3-P1 and 4.1-ESV before 4.1-ESV-R4 does not properly handle regular expressions in dhcpd.conf, which allows remote attackers to cause a denial of service (daemon crash) via a crafted request packet (CVE-2011-4539).

The updated packages have been patched to correct this issue.


Update the affected packages.

Plugin Details

Severity: Medium

ID: 57052

File Name: mandriva_MDVSA-2011-182.nasl

Version: $Revision: 1.9 $

Type: local

Published: 2011/12/09

Modified: 2016/05/17

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Temporal Score: 4.3

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:dhcp-client, p-cpe:/a:mandriva:linux:dhcp-common, p-cpe:/a:mandriva:linux:dhcp-devel, p-cpe:/a:mandriva:linux:dhcp-doc, p-cpe:/a:mandriva:linux:dhcp-relay, p-cpe:/a:mandriva:linux:dhcp-server, cpe:/o:mandriva:linux:2010.1, cpe:/o:mandriva:linux:2011

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2011/12/08

Reference Information

CVE: CVE-2011-4539

BID: 50971

MDVSA: 2011:182